Index: bugzilla/template/en/default/bug/comments.html.tmpl
===================================================================
RCS file: /cvsroot/mozilla/webtools/bugzilla/template/en/default/bug/comments.html.tmpl,v
retrieving revision 1.28
diff -6 -u -r1.28 comments.html.tmpl
--- bugzilla/template/en/default/bug/comments.html.tmpl	17 Oct 2006 19:58:37 -0000	1.28
+++ bugzilla/template/en/default/bug/comments.html.tmpl	8 Feb 2007 00:05:36 -0000
@@ -110,15 +110,18 @@
         </table>
       [% ELSE %]
         <span class="bz_comment_head">
           <span class="comment_rule">-------</span> <i>Comment
           <a name="c[% count %]" href="show_bug.cgi?id=[% bug.bug_id %]#c[% count %]">
             #[% count %]</a> From 
-          <a href="mailto:[% comment.email FILTER html %]">
-            [% comment.name FILTER html %]</a>
-          [%+ comment.time FILTER time %] 
+          [% user_identity
+          <span class="vcard">
+            <a class="email" href="mailto:[% comment.email FILTER html %]">
+              <span class="fn">[% comment.name FILTER html %]</span></a>
+            [%+ comment.time FILTER time %] 
+          </span>
           </i>
           [% IF mode == "edit" %]
           <script type="text/javascript"><!-- 
             addReplyLink([% count %]); //--></script>
           [% END %]
           <span class="comment_rule">-------</span>
Index: bugzilla/template/en/default/bug/edit.html.tmpl
===================================================================
RCS file: /cvsroot/mozilla/webtools/bugzilla/template/en/default/bug/edit.html.tmpl,v
retrieving revision 1.97
diff -6 -u -r1.97 edit.html.tmpl
--- bugzilla/template/en/default/bug/edit.html.tmpl	27 Dec 2006 00:55:23 -0000	1.97
+++ bugzilla/template/en/default/bug/edit.html.tmpl	8 Feb 2007 00:05:36 -0000
@@ -670,24 +670,22 @@
   <table cellpadding="1" cellspacing="1">
     <tr>
       <td align="right">
         <b>Reporter</b>:
       </td>
       <td>
-        <a href="mailto:[% bug.reporter.email FILTER html %]">
-          [% bug.reporter.identity FILTER html %]</a>
+        [% PROCESS user_identity user = bug.reporter %]
       </td>
     </tr>
 
     <tr>
       <td align="right">
         <b><a href="page.cgi?id=fields.html#assigned_to">Assigned&nbsp;To</a></b>:
       </td>
       <td>
-        <a href="mailto:[% bug.assigned_to.email FILTER html %]">
-           [% bug.assigned_to.identity FILTER html %]</a>
+        [% PROCESS user_identity user = bug.assigned_to %]
       </td>
     </tr>
 
     [% IF Param('useqacontact') %]
     <tr>
       <td align="right">
@@ -702,21 +700,15 @@
               size => 30
               emptyok => 1
           %]
         [% ELSE %]
           <input type="hidden" name="qa_contact" id="qa_contact"
                  value="[% bug.qa_contact.login FILTER html %]">
-          <a href="mailto:[% bug.qa_contact.email FILTER html %]">
-            [% IF bug.qa_contact.login && bug.qa_contact.login.length > 30 %]
-              <span title="[% bug.qa_contact.login FILTER html %]">
-                [% bug.qa_contact.identity FILTER truncate(30) FILTER html %]
-              </span>
-            [% ELSE %]
-              [% bug.qa_contact.identity FILTER html %]
-            [% END %]
-          </a>
+          [% PROCESS user_identity
+                     user => bug.qa_contact
+                     truncate => 1 %]
         [% END %]
       </td>
     </tr>
     [% END %]
 
     [% IF user.id %]
@@ -834,6 +826,31 @@
   </td>
   [% maxlength = 0 %]
   [% colspan = 0 %]
   [% size = 0 %]
   [% value = undef %]
 [% END %]
+
+[%############################################################################%]
+[%# Block for user identities                                                #%]
+[%############################################################################%]
+
+[% BLOCK user_identity %]
+  [% IF truncate = 1;
+       ident = user.identity FILTER truncate(30) FILTER html;
+     ELSE
+       ident = user.identity FILTER html;
+     END %]
+  [% IF user.name %]
+    <span class="vcard">
+      <a class="fn email" href="mailto:[% user.email FILTER html %]">
+        <abbr class="fn" title="[% user.name FILTER html %]">
+          [% ident %]
+        </abbr>
+      </a>
+    </span>
+  [% ELSE %]1
+    <a href="mailto:[% user.email FILTER html %]">
+      [% ident %]
+    </a>
+  [% END %]
+[% END %]
